Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class LPAS_DG_MS_SOLVING_TICKER

    java.lang.Object
      mapping.LPAS_DG_MS_SOLVING_TICKER

All Implemented Interfaces:
  java.lang.Runnable

    public class LPAS_DG_MS_SOLVING_TICKER

extends java.lang.Object
implements java.lang.Runnable

This thread just wakes up every System time unit and resolves the delta star matrix

Author:
  Majd Kokaly

Constructor Summary
`LPAS_DG_MS_SOLVING_TICKER(LPAS_DG_MS lpas_dg)`

Method Summary
`LPAS_DG_MS` | `getLpas_dg()`
`double` | `getSecondsAfterSystemTickToSolve()`
`long` | `getSleepTimeTillNextSystemTick2(java.util.GregorianCalendar time)` tickLengthInMinutes are the minutes in a tick or the time resolution for the system
`boolean` | `isAlive()`
`void` | `run()` This thread just wakes up every System time unit and resolves the delta star matrix.
`void` | `setAlive(boolean alive)`
`void` | `setLpas_dg(LPAS_DG_MS lpas_dg_ms)`
`void` | `setSecondsAfterSystemTickToSolve(double secondsAfterSystemTickToSolve)`
`void` | `startThread()`
`void` | `stopThread()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LPAS_DG_MS_SOLVING_TICKER

    public LPAS_DG_MS_SOLVING_TICKER(LPAS_DG_MS lpas_dg)

Method Detail

### isAlive

    public boolean isAlive()

### setAlive

    public void setAlive(boolean alive)

### getLpas_dg

    public LPAS_DG_MS getLpas_dg()

### setLpas_dg

    public void setLpas_dg(LPAS_DG_MS lpas_dg_ms)

### getSecondsAfterSystemTickToSolve

    public double getSecondsAfterSystemTickToSolve()

### setSecondsAfterSystemTickToSolve

    public void setSecondsAfterSystemTickToSolve(double secondsAfterSystemTickToSolve)

### startThread

    public void startThread()

### stopThread

    public void stopThread()

### run

    public void run()

  This thread just wakes up every System time unit and resolves the delta star matrix.

  Specified by:
    `run` in interface `java.lang.Runnable`

### getSleepTimeTillNextSystemTick2

    public long getSleepTimeTillNextSystemTick2(java.util.GregorianCalendar time)

  tickLengthInMinutes are the minutes in a tick or the time resolution for the system

  Returns:
    the time in milliseconds to sleep to wake up at the right time for the next time tick

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD